#!/usr/bin/env python
import CORBA
import sys
import time
from time import sleep

CORBA.load_idl("security.idl")
orb = CORBA.ORB_init((), CORBA.ORB_ID)
ior = open("./security-server.ior").readline()
s = orb.string_to_object(ior)
print s.__repo_id

try:
	token=s.login("chris", "browne")
	print "Authenticated chris getting token", token
except: 
	print "exc_type", sys.exc_type
	print "Couldn't get token for chris"
try:
	token=s.login("chris", "blah")
	print "Authenticated chris getting token", token
except: 
	#except s.NOTAUTHENTICATED:
	print "exc_type", sys.exc_type
	print "Couldn't get token for chris"
try:
	token=s.login("david", "blah")
	print "Authenticated david getting token", token
except:
	#except s.NOTAUTHENTICATED:
	print "Couldn't get token for david"
try:
	token=s.login("david", "browne")
	print "Authenticated david getting token", token
except:
	#except s.NOTAUTHENTICATED:
	print "exc_type", sys.exc_type
	print "Couldn't get token for chris"
	print "Couldn't get token for david"
